{extend name="apps/common/view/admin.tpl" /}
<!-- -->
{block name="header_meta"}
<title>{:lang("navbar_admin_index")}－{:lang('appName')}</title>
{/block}
<!-- -->
{block name="header_addon"}
<link href="{$path_root}{$path_addon}view/theme.css" rel="stylesheet">
<script src="{$path_root}{$path_addon}view/theme.js"></script>
{/block}
<!-- -->
{block name="main"}
<h6 class="border-bottom text-purple pb-2 mb-0">
  {:lang("navbar_admin_index")}
</h6>
<form action="{:DcUrlAddon(['module'=>'navbar','controll'=>'admin','action'=>'delete'])}" method="post" data-toggle="form">
<input type="hidden" name="_method" value="delete">
<div class="form-row collapse" id="filter-row">
  {:DcFormFilter($items)}
</div>
<div class="toolbar" id="toolbar">
  <a class="btn btn-sm btn-light border" href="{:DcUrlAddon(DcArrayArgs(['action'=>'create'],$query))}" data-toggle="create" data-modal-xl="1" data-callback="daicuo.admin.navbar.dialog">
    <i class="fa fa-plus"></i>
    {:lang('create')}
  </a>
  <button class="btn btn-sm btn-outline-danger" type="submit" data-toggle="delete">
    <i class="fa fa-trash"></i>
    {:lang('delete')}
  </button>
  <a class="btn btn-sm btn-light border" href="javascript:;" data-toggle="reload">
    <i class="fa fa-refresh"></i>
    {:lang('refresh')}
  </a>
  <a class="btn btn-sm btn-light border" href="#filter-row" data-toggle="collapse">
    <i class="fa fa-filter"></i>
    {:lang('filter')}
  </a>
</div>
{:DcBuildTable([
    'data-escape'             => false,
    'data-toggle'             => 'bootstrap-table',
    'data-url'                => DcUrlAddon($query),
    'data-url-sort'           => '',
    'data-url-preview'        => DcUrlAddon(['module'=>'navbar','controll'=>'admin','action'=>'preview','id'=>'']),
    'data-url-edit'           => DcUrlAddon(['module'=>'navbar','controll'=>'admin','action'=>'edit','id'=>'']),
    'data-url-delete'         => DcUrlAddon(['module'=>'navbar','controll'=>'admin','action'=>'delete','id'=>'']),
    'data-buttons-prefix'     => 'btn',
    'data-buttons-class'      => 'purple',
    'data-icon-size'          => 'sm',
    
    'data-toolbar'            => '.toolbar',
    'data-toolbar-align'      => 'none float-md-left',
    'data-buttons-align'      => 'right',
    'data-search-align'       => 'none float-md-right',
    'data-search'             => true,
    'data-show-search-button' => true,
    'data-show-refresh'       => true,
    'data-show-toggle'        => true,
    'data-show-fullscreen'    => true,
    'data-smart-display'      => false,
    
    'data-unique-id'          => 'term_id',
    'data-id-field'           => 'term_id',
    'data-select-item-name'   => 'id[]',
    'data-query-params-type'  => 'params',
    'data-query-params'       => 'daicuo.table.query',
    'data-sort-name'          => '',
    'data-sort-order'         => '',
    'data-sort-class'         => 'table-active',
    'data-sort-stable'        => true,
    
    'data-side-pagination'    => 'server',
    'data-total-field'        => 'total',
    'data-data-field'         => 'data',
    
    'data-page-number'        => $page,
    'data-page-size'          => '30',
    'data-page-list'          => '[25, 50, 100]',

    'data-pagination'         => false,
    
    'columns'                 => $columns,
])}
</form>
{/block}